package org.apache.bcel.classfile;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.HashMap;
import org.apache.bcel.classfile.ConstantUtf8;

class Cache {
  private static final boolean BCEL_STATISTICS = Boolean.getBoolean("bcel.statistics");
  
  private static final int MAX_ENTRIES = Integer.getInteger("bcel.maxcached", 0).intValue();
  
  private static final int INITIAL_CAPACITY = (int)(MAX_ENTRIES / 0.75D);
  
  private static final HashMap<String, ConstantUtf8> CACHE = (HashMap<String, ConstantUtf8>)new Object(INITIAL_CAPACITY, 0.75F, true);
  
  private static final int MAX_ENTRY_SIZE = Integer.getInteger("bcel.maxcached.size", 200).intValue();
  
  static boolean isEnabled() {
    return (MAX_ENTRIES > 0 && MAX_ENTRY_SIZE > 0);
  }
}
